wled_get_state:
  url: "http://192.168.2.69/json/state"
  method: GET
  headers:
    content-type: "application/json"

wled_set_effect_for_segment:
  url: "http://{{ device_ip }}/json/state"
  method: "POST"
  headers:
    content-type: "application/json"
  payload: >
    {
      "seg": [
        {"id": {{ segment_id }}, "fx": {{ effect }}}
      ]
    }

wled_set_palette_for_segment:
  url: "http://{{ device_ip }}/json/state"
  method: "POST"
  headers:
    content-type: "application/json"
  payload: >
    {
      "seg": [
        {"id": {{ segment_id }}, "pal": {{ palette }}}
      ]
    }

wled_api:
  url: "http://192.168.2.69/json/state"
  method: "POST"
  headers:
    content-type: "application/json"
  payload: >
    {{ payload }}
